package com.icefaces.support.example;

import java.io.Serializable;
import java.util.ArrayList;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;

@ManagedBean
@SessionScoped
public class TestBean implements Serializable{

    private ArrayList comboList;
    private String selectDisability;
    
    public TestBean(){
        comboList = new ArrayList();
        comboList.add(new SelectItem("1", "Can't See"));
        comboList.add(new SelectItem("2", "Can't Stand"));
        comboList.add(new SelectItem("3", "Can't Walk"));
    }

    public String getSelectDisability() {
        
        return selectDisability;
    }

    public void setSelectDisability(String selectDisability) {
        this.selectDisability = selectDisability;
    }
    
    

    public ArrayList getComboList() {
        return comboList;
    }

    public void setComboList(ArrayList comboList) {
        this.comboList = comboList;
    }
    
    public void disabilityListener(ValueChangeEvent event) {
        System.out.println("New Value: " + event.getNewValue());
    }
}
